# Uses of Enum
org.jboss.logging.processor.validation.ValidationMessage.Type

Packages that use ValidationMessage.Type
Package
Description
org.jboss.logging.processor.validation

## Uses of ValidationMessage.Type in org.jboss.logging.processor.validation

Methods in org.jboss.logging.processor.validation that return ValidationMessage.Type
Modifier and Type
Method
Description
`ValidationMessage.Type`
ValidationMessage.`type()`
The type of the message.
`static ValidationMessage.Type`
ValidationMessage.Type.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ValidationMessage.Type[]`
ValidationMessage.Type.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.